JSDAS(1)

NAME
jsdas - disassemble and manipulate JavaScript byte-code files

SYNOPSIS
jsdas [-cCdhisSV] [-l type data] [-r type] file...

DESCRIPTION
The jsdas program is a disassembler and a manipulator for the JavaScript byte-code files. The program can be used to view, disassemble and manipulate the byte-code files.

OPTIONS

-c, --code
    Print the code section of the byte-code files. This is the default action that is preformed if no options are given for the jsdas program.

-C, --constants
    Print the constants section of the byte-code file.

-d, --debug
    Print the debug section of the byte-code file.

-h, --help
    Print a short help message that describes the options that can be given to the jsdas program.

-i, --info
    Print the byte-code file information.

-l type data, --link type data
    Link a new section to the byte-code file. The section's type is type and its contents is read from file data.

-r type, --remove type
    Remove section of type type from the byte-code files.

-s, --symtab
    Print the symbol table section of the byte-code file.

-S, --strip
    Remove the debug section from the byte-code files.

-V, --version
    Print the version number of the jsdas program.

AUTHOR
Markku Rossi <mtr@ngs.fi> NGS JavaScript WWW home page: <http://www.ngs.fi/js/>

SEE ALSO
js(1)